Page 1 of 1

Cannot set adapter

Posted: Fri Jan 29, 2021 10:00 pm
by lazi
My rebelsdl required script works on OS4, but do not start on windows.
The only message in a dialog window: "Cannot set adapter!"

What does it mean?

This is the display definition:

Code: Select all

@IF #HW_AMIGA
	@DISPLAY 1,{mode="windowed", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, scalewidth="75%", scaleheight="75%", fillstyle=#FILLCOLOR, color=$672222}
@ELSE
	@DISPLAY 1,{mode="fullscreen", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, FitScale=True, SmoothScale=True, fillstyle=#FILLCOLOR, color=$672222}
@ENDIF           
The actual display mode is 1024x1280 (rotated).

Re: Cannot set adapter

Posted: Sat Jan 30, 2021 9:52 pm
by airsoftsoftwair
What is the full script? This code works fine for me using Hollywood 8.0 + RebelSDL 1.1 on Windows 7:

Code: Select all

@REQUIRE "rebelsdl"

@IF #HW_AMIGA
	@DISPLAY 1,{mode="windowed", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, scalewidth="75%", scaleheight="75%", fillstyle=#FILLCOLOR, color=$672222}
@ELSE
	@DISPLAY 1,{mode="fullscreen", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, FitScale=True, SmoothScale=True, fillstyle=#FILLCOLOR, color=$672222}
@ENDIF 

WaitLeftMouse
End

Re: Cannot set adapter

Posted: Sun Jan 31, 2021 1:30 am
by lazi
Ok, there is a lot of @requires missing and I found that RapaGUI and RebelSDL don't like each other.

Code: Select all

;szamlazz.hu helper gui
@APPVERSION "$VER:Szamlazo 1.23 (24-Jan-21)"
@OPTIONS {encoding=#ENCODING_UTF8}
/*
@REQUIRE "sqlite3"
@REQUIRE "polybios"
*/
@REQUIRE "rapagui"
/*
@REQUIRE "hurl"
@REQUIRE "xmlparser"
*/
@REQUIRE "rebelsdl"

@IF #HW_AMIGA
	@DISPLAY 1,{mode="windowed", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, scalewidth="75%", scaleheight="75%", fillstyle=#FILLCOLOR, color=$672222}
@ELSE
	@DISPLAY 1,{mode="fullscreen", width=1024, height=1280, scalemode=#SCALEMODE_AUTO, FitScale=True, SmoothScale=True, fillstyle=#FILLCOLOR, color=$672222}
@ENDIF

;OpenDisplay(1)

Repeat
	WaitEvent
Forever      
The program using the standard Hollywood display and for additional settings, listings, etc. use rapagui windows.
I would like to test it with SDL because on slower wintel machines even simple DisplayTransitionFX() #PUSHRIGHT is very slow.
(The RebelSDL examples are working very nice on the same machine.)

Re: Cannot set adapter

Posted: Sun Feb 07, 2021 9:06 pm
by airsoftsoftwair
That's normal behaviour. You cannot combine plugins which replace Hollywood's display adapter. Currently, these are RapaGUI, RebelSDL, and GL Galore. I'm afraid there's no way around this because all those plugins require their own custom main loop and it's not possible to use them side by side. At least not without going to great pains.

On AmigaOS this is different because all main loops boil down to waiting for a set of signals using exec. Thus, plugins like RebelSDL can be combined with RapaGUI or MUI Royale on AmigaOS but this is just because RapaGUI and MUI Royale don't have to replace Hollywood's inbuilt display adapter at all. They just run on top of it. Only Amiga makes it possible :)

Re: Cannot set adapter

Posted: Sun Feb 07, 2021 10:05 pm
by lazi
You cannot combine plugins ... RapaGUI, RebelSDL, and GL Galore. (on windows)
That's good to know. :-(
Only Amiga makes it possible :)
That is what we already known! :-)

Re: Cannot set adapter

Posted: Sun Feb 07, 2021 11:00 pm
by lazi
Is that means that a GLGalore aware MUIRoyale plugin still can happen sometime?
Embedding GLGalore display into a MUI window would be nice.

p.s: By the way fortunately Hollywood is so powerful that maybe I can create two programs which communicate by IPC. One for the rebelsdl display and one for the rapagui. That could solve the original problem!

Re: Cannot set adapter

Posted: Tue Feb 09, 2021 9:47 pm
by airsoftsoftwair
lazi wrote:
Sun Feb 07, 2021 11:00 pm
Is that means that a GLGalore aware MUIRoyale plugin still can happen sometime?
Embedding GLGalore display into a MUI window would be nice.
Maybe, but don't get your hopes too high because this is something that probably not too many people need so it's a very low priority right now.